<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: TOCropViewController.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_77ebe3071d97df245b5e45385777f804.html">DKCameraPicker</a></li><li class="navelem"><a class="el" href="dir_4ae840c905fef3eccce7483ed8c45ae9.html">CropViewController.framework</a></li><li class="navelem"><a class="el" href="dir_869d1a3cec8a921ae4993228b951efde.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TOCropViewController.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  TOCropViewController.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//  Copyright 2015-2018 Timothy Oliver. All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//  of this software and associated documentation files (the &quot;Software&quot;), to</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//  deal in the Software without restriction, including without limitation the</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">//  rights to use, copy, modify, merge, publish, distribute, sublicense, and/or</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">//  sell copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">//  furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">//  The above copyright notice and this permission notice shall be included in</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//  all copies or substantial portions of the Software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//  THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//  OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//  WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">//  IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#import &quot;TOCropViewConstants.h&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#import &quot;TOCropView.h&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#import &quot;TOCropToolbar.h&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_t_o_crop_view_controller.html">TOCropViewController</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="protocol_t_o_crop_view_controller_delegate-p.html">   35</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_t_o_crop_view_controller_delegate-p.html">TOCropViewControllerDelegate</a> &lt;NSObject&gt;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">@optional</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;- (void)cropViewController:(nonnull <a class="code" href="interface_t_o_crop_view_controller.html">TOCropViewController</a> *)cropViewController</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        didCropImageToRect:(CGRect)cropRect</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;                     angle:(NSInteger)angle;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;- (void)cropViewController:(nonnull <a class="code" href="interface_t_o_crop_view_controller.html">TOCropViewController</a> *)cropViewController</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;            didCropToImage:(nonnull UIImage *)image withRect:(CGRect)cropRect</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;                     angle:(NSInteger)angle;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;- (void)cropViewController:(nonnull <a class="code" href="interface_t_o_crop_view_controller.html">TOCropViewController</a> *)cropViewController</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    didCropToCircularImage:(nonnull UIImage *)image withRect:(CGRect)cropRect</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;                     angle:(NSInteger)angle;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;- (void)cropViewController:(nonnull <a class="code" href="interface_t_o_crop_view_controller.html">TOCropViewController</a> *)cropViewController</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        didFinishCancelled:(BOOL)cancelled;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160; </div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html">   86</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_t_o_crop_view_controller.html">TOCropViewController</a> : UIViewController</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160; </div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#adb2508146bc14948c08dd70115041d1d">   91</a></span>&#160;<span class="keyword">@property</span> (nonnull, nonatomic, readonly) UIImage *<a class="code" href="classdlib_1_1array2d.html">image</a>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a7bbb14a90ceeaab81e74e4d8e775933d">   96</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat <a class="code" href="interface_t_o_crop_view_controller.html#a7bbb14a90ceeaab81e74e4d8e775933d">minimumAspectRatio</a>;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160; </div><div class="line"><a name="l00102"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#af4b3c0e5d07b1cf50a3bf42508724f82">  102</a></span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, weak) id&lt;TOCropViewControllerDelegate&gt; <a class="code" href="interface_t_o_crop_view_controller.html#af4b3c0e5d07b1cf50a3bf42508724f82">delegate</a>;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#aa58e3c11c4e8a8dc4c39a4cae190e83f">  108</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_t_o_crop_view_controller.html#aa58e3c11c4e8a8dc4c39a4cae190e83f">showActivitySheetOnDone</a>;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160; </div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#aaf1a2d199ef649d3277a15cbc60e03b8">  113</a></span>&#160;<span class="keyword">@property</span> (nonnull, nonatomic, strong, readonly) <a class="code" href="interface_t_o_crop_view.html">TOCropView</a> *<a class="code" href="interface_t_o_crop_view_controller.html#aaf1a2d199ef649d3277a15cbc60e03b8">cropView</a>;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160; </div><div class="line"><a name="l00122"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a14cfb2d26db9026b2f2cce4cb9767b6e">  122</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGRect <a class="code" href="interface_t_o_crop_view_controller.html#a14cfb2d26db9026b2f2cce4cb9767b6e">imageCropFrame</a>;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160; </div><div class="line"><a name="l00131"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a011c69373ad0257c5cf99b2453f5e738">  131</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) NSInteger <a class="code" href="interface_t_o_crop_view_controller.html#a011c69373ad0257c5cf99b2453f5e738">angle</a>;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160; </div><div class="line"><a name="l00136"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#aef63fab3c83f7eca82cd4a017ae3ad61">  136</a></span>&#160;<span class="keyword">@property</span> (nonnull, nonatomic, strong, readonly) <a class="code" href="interface_t_o_crop_toolbar.html">TOCropToolbar</a> *<a class="code" href="interface_t_o_crop_view_controller.html#aef63fab3c83f7eca82cd4a017ae3ad61">toolbar</a>;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160; </div><div class="line"><a name="l00141"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#ada1e0a094a94c21733c5bdf998417b07">  141</a></span>&#160;<span class="keyword">@property</span> (nonatomic, readonly) TOCropViewCroppingStyle <a class="code" href="interface_t_o_crop_view_controller.html#ada1e0a094a94c21733c5bdf998417b07">croppingStyle</a>;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160; </div><div class="line"><a name="l00146"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#af4dcdd60028ea28273d2dac56002d1b1">  146</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) TOCropViewControllerAspectRatioPreset <a class="code" href="interface_t_o_crop_view_controller.html#af4dcdd60028ea28273d2dac56002d1b1">aspectRatioPreset</a>;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160; </div><div class="line"><a name="l00152"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a4037fbf186d0a3018fb3505772a62256">  152</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGSize <a class="code" href="interface_t_o_crop_view_controller.html#a4037fbf186d0a3018fb3505772a62256">customAspectRatio</a>;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160; </div><div class="line"><a name="l00158"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a8b0f5840185e2e14538f10e412fc03d7">  158</a></span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, copy) NSString *<a class="code" href="interface_t_o_crop_view_controller.html#a8b0f5840185e2e14538f10e412fc03d7">customAspectRatioName</a>;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160; </div><div class="line"><a name="l00163"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a36ec6508742cf3d6ec23332b16439d11">  163</a></span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, readonly) UILabel *<a class="code" href="interface_t_o_crop_view_controller.html#a36ec6508742cf3d6ec23332b16439d11">titleLabel</a>;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160; </div><div class="line"><a name="l00169"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#ad65cafe5928b37540b31b08558b98c7c">  169</a></span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, copy) NSString *<a class="code" href="interface_t_o_crop_view_controller.html#ad65cafe5928b37540b31b08558b98c7c">doneButtonTitle</a>;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160; </div><div class="line"><a name="l00175"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a1e943da62a3b9e50d4251beb3bfe511b">  175</a></span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, copy) NSString *<a class="code" href="interface_t_o_crop_view_controller.html#a1e943da62a3b9e50d4251beb3bfe511b">cancelButtonTitle</a>;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160; </div><div class="line"><a name="l00181"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#abf73de4923841cc61235aac08e41b26f">  181</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_t_o_crop_view_controller.html#abf73de4923841cc61235aac08e41b26f">showCancelConfirmationDialog</a>;</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160; </div><div class="line"><a name="l00190"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a3be9b6f0924d864064107e59d014b62a">  190</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_t_o_crop_view_controller.html#a3be9b6f0924d864064107e59d014b62a">aspectRatioLockDimensionSwapEnabled</a>;</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160; </div><div class="line"><a name="l00200"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a9da7b0aab19f2702e27ad105de2cef75">  200</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_t_o_crop_view_controller.html#a9da7b0aab19f2702e27ad105de2cef75">aspectRatioLockEnabled</a>;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160; </div><div class="line"><a name="l00211"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#ae013885fe81f763034eb7311b03f2a65">  211</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_t_o_crop_view_controller.html#ae013885fe81f763034eb7311b03f2a65">resetAspectRatioEnabled</a>;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160; </div><div class="line"><a name="l00216"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a2e31484fcdd85660fb9becc2c7cc78ed">  216</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) TOCropViewControllerToolbarPosition <a class="code" href="interface_t_o_crop_view_controller.html#a2e31484fcdd85660fb9becc2c7cc78ed">toolbarPosition</a>;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160; </div><div class="line"><a name="l00224"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a065d12a2acd8cfc26adc422f50bbb89e">  224</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_t_o_crop_view_controller.html#a065d12a2acd8cfc26adc422f50bbb89e">rotateClockwiseButtonHidden</a>;</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160; </div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;<span class="comment"> If this controller is embedded in UINavigationController its navigation bar is hidden by default. Set this property to false to show the navigation bar. This must be set before this controller is presented.</span></div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;<span class="keyword">@property</span> (nonatomic, assign) BOOL hidesNavigationBar;</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160; </div><div class="line"><a name="l00237"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a26c36b2fde5aa22a3133da53fdc44555">  237</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_t_o_crop_view_controller.html#a26c36b2fde5aa22a3133da53fdc44555">rotateButtonsHidden</a>;</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160; </div><div class="line"><a name="l00244"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#ae172d2e03397b7d82e1e053cdf8e67ec">  244</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_t_o_crop_view_controller.html#ae172d2e03397b7d82e1e053cdf8e67ec">resetButtonHidden</a>;</div><div class="line"><a name="l00250"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a22ff1114704c2cf539bbe753657c86b8">  250</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_t_o_crop_view_controller.html#a22ff1114704c2cf539bbe753657c86b8">aspectRatioPickerButtonHidden</a>;</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160; </div><div class="line"><a name="l00257"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#a6f6cd5ff1f6f9be0a78a11ee380fd52a">  257</a></span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, strong) NSArray *<a class="code" href="interface_t_o_crop_view_controller.html#a6f6cd5ff1f6f9be0a78a11ee380fd52a">activityItems</a>;</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160; </div><div class="line"><a name="l00265"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#aab976436310491938927fabfea115746">  265</a></span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, strong) NSArray&lt;UIActivity *&gt; *<a class="code" href="interface_t_o_crop_view_controller.html#aab976436310491938927fabfea115746">applicationActivities</a>;</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160; </div><div class="line"><a name="l00271"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#adcf62bec2d2f4e7e91e826e516a085f5">  271</a></span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, strong) NSArray&lt;UIActivityType&gt; *<a class="code" href="interface_t_o_crop_view_controller.html#adcf62bec2d2f4e7e91e826e516a085f5">excludedActivityTypes</a>;</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160; </div><div class="line"><a name="l00277"></a><span class="lineno"><a class="line" href="interface_t_o_crop_view_controller.html#ad0f3c6f4e76cd521680cc769b048caae">  277</a></span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, strong) NSArray&lt;NSNumber *&gt; *<a class="code" href="interface_t_o_crop_view_controller.html#ad0f3c6f4e76cd521680cc769b048caae">allowedAspectRatios</a>;</div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160; </div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, strong) <span class="keywordtype">void</span> (^<a class="code" href="interface_t_o_crop_view_controller.html#aec9ec2e1699e0f8c1d47b0d2fac9502b">onDidFinishCancelled</a>)(BOOL isFinished);</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160; </div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, strong) <span class="keywordtype">void</span> (^<a class="code" href="interface_t_o_crop_view_controller.html#ab02c8fb8ea06ff21dcede8c4532ee641">onDidCropImageToRect</a>)(CGRect cropRect, NSInteger <a class="code" href="interface_t_o_crop_view_controller.html#a011c69373ad0257c5cf99b2453f5e738">angle</a>);</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160; </div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, strong) <span class="keywordtype">void</span> (^<a class="code" href="interface_t_o_crop_view_controller.html#a277021ddd94ac91a5a4b976139a616a3">onDidCropToRect</a>)(UIImage* _Nonnull <a class="code" href="interface_t_o_crop_view_controller.html#adb2508146bc14948c08dd70115041d1d">image</a>, CGRect cropRect, NSInteger <a class="code" href="interface_t_o_crop_view_controller.html#a011c69373ad0257c5cf99b2453f5e738">angle</a>);</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160; </div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, strong) <span class="keywordtype">void</span> (^<a class="code" href="interface_t_o_crop_view_controller.html#a4c62617034d98d4d50a954fefaabf838">onDidCropToCircleImage</a>)(UIImage* _Nonnull <a class="code" href="interface_t_o_crop_view_controller.html#adb2508146bc14948c08dd70115041d1d">image</a>, CGRect cropRect, NSInteger <a class="code" href="interface_t_o_crop_view_controller.html#a011c69373ad0257c5cf99b2453f5e738">angle</a>);</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160; </div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160; </div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160; </div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;- (nonnull instancetype)initWithImage:(nonnull UIImage *)image NS_SWIFT_NAME(init(<a class="code" href="classdlib_1_1array2d.html">image</a>:));</div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160; </div><div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;- (nonnull instancetype)initWithCroppingStyle:(TOCropViewCroppingStyle)style image:(nonnull UIImage *)image NS_SWIFT_NAME(init(<a class="code" href="interface_t_o_crop_view_controller.html#ada1e0a094a94c21733c5bdf998417b07">croppingStyle</a>:<a class="code" href="classdlib_1_1array2d.html">image</a>:));</div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160; </div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;- (void)<a class="code" href="interface_t_o_crop_view_controller.html#a98347c8278ebcfab4b612324c6fe38ff">resetCropViewLayout</a>;</div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160; </div><div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;- (void)setAspectRatioPreset:(TOCropViewControllerAspectRatioPreset)aspectRatioPreset animated:(BOOL)animated NS_SWIFT_NAME(setAspectRatioPresent(_:animated:));</div><div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160; </div><div class="line"><a name="l00359"></a><span class="lineno">  359</span>&#160;- (void)presentAnimatedFromParentViewController:(nonnull UIViewController *)viewController</div><div class="line"><a name="l00360"></a><span class="lineno">  360</span>&#160;                                       fromView:(nullable UIView *)fromView</div><div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;                                      fromFrame:(CGRect)fromFrame</div><div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;                                          setup:(nullable <span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))setup</div><div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;                                     completion:(nullable <span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))completion NS_SWIFT_NAME(presentAnimatedFrom(_:view:frame:setup:completion:));</div><div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160; </div><div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160;- (void)presentAnimatedFromParentViewController:(nonnull UIViewController *)viewController</div><div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;                                      fromImage:(nullable UIImage *)image</div><div class="line"><a name="l00383"></a><span class="lineno">  383</span>&#160;                                       fromView:(nullable UIView *)fromView</div><div class="line"><a name="l00384"></a><span class="lineno">  384</span>&#160;                                      fromFrame:(CGRect)fromFrame</div><div class="line"><a name="l00385"></a><span class="lineno">  385</span>&#160;                                          angle:(NSInteger)angle</div><div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;                                   toImageFrame:(CGRect)toFrame</div><div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160;                                          setup:(nullable <span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))setup</div><div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;                                     completion:(nullable <span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))completion NS_SWIFT_NAME(presentAnimatedFrom(_:fromImage:fromView:fromFrame:<a class="code" href="interface_t_o_crop_view_controller.html#a011c69373ad0257c5cf99b2453f5e738">angle</a>:toFrame:setup:completion:));</div><div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160; </div><div class="line"><a name="l00401"></a><span class="lineno">  401</span>&#160;- (void)dismissAnimatedFromParentViewController:(nonnull UIViewController *)viewController</div><div class="line"><a name="l00402"></a><span class="lineno">  402</span>&#160;                                         toView:(nullable UIView *)toView</div><div class="line"><a name="l00403"></a><span class="lineno">  403</span>&#160;                                        toFrame:(CGRect)frame</div><div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160;                                          setup:(nullable <span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))setup</div><div class="line"><a name="l00405"></a><span class="lineno">  405</span>&#160;                                     completion:(nullable <span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))completion NS_SWIFT_NAME(dismissAnimatedFrom(_:toView:toFrame:setup:completion:));</div><div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160; </div><div class="line"><a name="l00419"></a><span class="lineno">  419</span>&#160;- (void)dismissAnimatedFromParentViewController:(nonnull UIViewController *)viewController</div><div class="line"><a name="l00420"></a><span class="lineno">  420</span>&#160;                               withCroppedImage:(nullable UIImage *)image</div><div class="line"><a name="l00421"></a><span class="lineno">  421</span>&#160;                                         toView:(nullable UIView *)toView</div><div class="line"><a name="l00422"></a><span class="lineno">  422</span>&#160;                                        toFrame:(CGRect)frame</div><div class="line"><a name="l00423"></a><span class="lineno">  423</span>&#160;                                          setup:(nullable <span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))setup</div><div class="line"><a name="l00424"></a><span class="lineno">  424</span>&#160;                                     completion:(nullable <span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))completion NS_SWIFT_NAME(dismissAnimatedFrom(_:croppedImage:toView:toFrame:setup:completion:));</div><div class="line"><a name="l00425"></a><span class="lineno">  425</span>&#160; </div><div class="line"><a name="l00426"></a><span class="lineno">  426</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00427"></a><span class="lineno">  427</span>&#160; </div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_aab976436310491938927fabfea115746"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#aab976436310491938927fabfea115746">TOCropViewController::applicationActivities</a></div><div class="ttdeci">NSArray&lt; UIActivity * &gt; * applicationActivities</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:265</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_ae172d2e03397b7d82e1e053cdf8e67ec"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#ae172d2e03397b7d82e1e053cdf8e67ec">TOCropViewController::resetButtonHidden</a></div><div class="ttdeci">BOOL resetButtonHidden</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:244</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_aec9ec2e1699e0f8c1d47b0d2fac9502b"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#aec9ec2e1699e0f8c1d47b0d2fac9502b">TOCropViewController::onDidFinishCancelled</a></div><div class="ttdeci">void(^ onDidFinishCancelled)(BOOL isFinished)</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a4037fbf186d0a3018fb3505772a62256"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a4037fbf186d0a3018fb3505772a62256">TOCropViewController::customAspectRatio</a></div><div class="ttdeci">CGSize customAspectRatio</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:152</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_aef63fab3c83f7eca82cd4a017ae3ad61"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#aef63fab3c83f7eca82cd4a017ae3ad61">TOCropViewController::toolbar</a></div><div class="ttdeci">TOCropToolbar * toolbar</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:136</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_ae013885fe81f763034eb7311b03f2a65"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#ae013885fe81f763034eb7311b03f2a65">TOCropViewController::resetAspectRatioEnabled</a></div><div class="ttdeci">BOOL resetAspectRatioEnabled</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:211</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_abf73de4923841cc61235aac08e41b26f"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#abf73de4923841cc61235aac08e41b26f">TOCropViewController::showCancelConfirmationDialog</a></div><div class="ttdeci">BOOL showCancelConfirmationDialog</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:181</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_aaf1a2d199ef649d3277a15cbc60e03b8"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#aaf1a2d199ef649d3277a15cbc60e03b8">TOCropViewController::cropView</a></div><div class="ttdeci">TOCropView * cropView</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:113</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_ad0f3c6f4e76cd521680cc769b048caae"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#ad0f3c6f4e76cd521680cc769b048caae">TOCropViewController::allowedAspectRatios</a></div><div class="ttdeci">NSArray&lt; NSNumber * &gt; * allowedAspectRatios</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:277</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a9da7b0aab19f2702e27ad105de2cef75"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a9da7b0aab19f2702e27ad105de2cef75">TOCropViewController::aspectRatioLockEnabled</a></div><div class="ttdeci">BOOL aspectRatioLockEnabled</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:200</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_af4dcdd60028ea28273d2dac56002d1b1"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#af4dcdd60028ea28273d2dac56002d1b1">TOCropViewController::aspectRatioPreset</a></div><div class="ttdeci">TOCropViewControllerAspectRatioPreset aspectRatioPreset</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:146</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_adb2508146bc14948c08dd70115041d1d"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#adb2508146bc14948c08dd70115041d1d">TOCropViewController::image</a></div><div class="ttdeci">UIImage * image</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:91</div></div>
<div class="ttc" id="aclassdlib_1_1array2d_html"><div class="ttname"><a href="classdlib_1_1array2d.html">dlib::array2d&lt; hsi_pixel &gt;</a></div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a3be9b6f0924d864064107e59d014b62a"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a3be9b6f0924d864064107e59d014b62a">TOCropViewController::aspectRatioLockDimensionSwapEnabled</a></div><div class="ttdeci">BOOL aspectRatioLockDimensionSwapEnabled</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:190</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a277021ddd94ac91a5a4b976139a616a3"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a277021ddd94ac91a5a4b976139a616a3">TOCropViewController::onDidCropToRect</a></div><div class="ttdeci">void(^ onDidCropToRect)(UIImage *_Nonnull image, CGRect cropRect, NSInteger angle)</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_html"><div class="ttname"><a href="interface_t_o_crop_view.html">TOCropView</a></div><div class="ttdef"><b>Definition:</b> TOCropView.h:38</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a1e943da62a3b9e50d4251beb3bfe511b"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a1e943da62a3b9e50d4251beb3bfe511b">TOCropViewController::cancelButtonTitle</a></div><div class="ttdeci">NSString * cancelButtonTitle</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:175</div></div>
<div class="ttc" id="aprotocol_t_o_crop_view_controller_delegate-p_html"><div class="ttname"><a href="protocol_t_o_crop_view_controller_delegate-p.html">TOCropViewControllerDelegate-p</a></div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:35</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a6f6cd5ff1f6f9be0a78a11ee380fd52a"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a6f6cd5ff1f6f9be0a78a11ee380fd52a">TOCropViewController::activityItems</a></div><div class="ttdeci">NSArray * activityItems</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:257</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a7bbb14a90ceeaab81e74e4d8e775933d"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a7bbb14a90ceeaab81e74e4d8e775933d">TOCropViewController::minimumAspectRatio</a></div><div class="ttdeci">CGFloat minimumAspectRatio</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:96</div></div>
<div class="ttc" id="ainterface_t_o_crop_toolbar_html"><div class="ttname"><a href="interface_t_o_crop_toolbar.html">TOCropToolbar</a></div><div class="ttdef"><b>Definition:</b> TOCropToolbar.h:28</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a4c62617034d98d4d50a954fefaabf838"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a4c62617034d98d4d50a954fefaabf838">TOCropViewController::onDidCropToCircleImage</a></div><div class="ttdeci">void(^ onDidCropToCircleImage)(UIImage *_Nonnull image, CGRect cropRect, NSInteger angle)</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a22ff1114704c2cf539bbe753657c86b8"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a22ff1114704c2cf539bbe753657c86b8">TOCropViewController::aspectRatioPickerButtonHidden</a></div><div class="ttdeci">BOOL aspectRatioPickerButtonHidden</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:250</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a8b0f5840185e2e14538f10e412fc03d7"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a8b0f5840185e2e14538f10e412fc03d7">TOCropViewController::customAspectRatioName</a></div><div class="ttdeci">NSString * customAspectRatioName</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:158</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a26c36b2fde5aa22a3133da53fdc44555"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a26c36b2fde5aa22a3133da53fdc44555">TOCropViewController::rotateButtonsHidden</a></div><div class="ttdeci">BOOL rotateButtonsHidden</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:237</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a36ec6508742cf3d6ec23332b16439d11"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a36ec6508742cf3d6ec23332b16439d11">TOCropViewController::titleLabel</a></div><div class="ttdeci">UILabel * titleLabel</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:163</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_af4b3c0e5d07b1cf50a3bf42508724f82"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#af4b3c0e5d07b1cf50a3bf42508724f82">TOCropViewController::delegate</a></div><div class="ttdeci">id&lt; TOCropViewControllerDelegate &gt; delegate</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:102</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_aa58e3c11c4e8a8dc4c39a4cae190e83f"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#aa58e3c11c4e8a8dc4c39a4cae190e83f">TOCropViewController::showActivitySheetOnDone</a></div><div class="ttdeci">BOOL showActivitySheetOnDone</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:108</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a065d12a2acd8cfc26adc422f50bbb89e"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a065d12a2acd8cfc26adc422f50bbb89e">TOCropViewController::rotateClockwiseButtonHidden</a></div><div class="ttdeci">BOOL rotateClockwiseButtonHidden</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:224</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html"><div class="ttname"><a href="interface_t_o_crop_view_controller.html">TOCropViewController</a></div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:86</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_ab02c8fb8ea06ff21dcede8c4532ee641"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#ab02c8fb8ea06ff21dcede8c4532ee641">TOCropViewController::onDidCropImageToRect</a></div><div class="ttdeci">void(^ onDidCropImageToRect)(CGRect cropRect, NSInteger angle)</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a14cfb2d26db9026b2f2cce4cb9767b6e"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a14cfb2d26db9026b2f2cce4cb9767b6e">TOCropViewController::imageCropFrame</a></div><div class="ttdeci">CGRect imageCropFrame</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:122</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a2e31484fcdd85660fb9becc2c7cc78ed"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a2e31484fcdd85660fb9becc2c7cc78ed">TOCropViewController::toolbarPosition</a></div><div class="ttdeci">TOCropViewControllerToolbarPosition toolbarPosition</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:216</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a011c69373ad0257c5cf99b2453f5e738"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a011c69373ad0257c5cf99b2453f5e738">TOCropViewController::angle</a></div><div class="ttdeci">NSInteger angle</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:131</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_adcf62bec2d2f4e7e91e826e516a085f5"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#adcf62bec2d2f4e7e91e826e516a085f5">TOCropViewController::excludedActivityTypes</a></div><div class="ttdeci">NSArray&lt; UIActivityType &gt; * excludedActivityTypes</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:271</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_ad65cafe5928b37540b31b08558b98c7c"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#ad65cafe5928b37540b31b08558b98c7c">TOCropViewController::doneButtonTitle</a></div><div class="ttdeci">NSString * doneButtonTitle</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:169</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_ada1e0a094a94c21733c5bdf998417b07"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#ada1e0a094a94c21733c5bdf998417b07">TOCropViewController::croppingStyle</a></div><div class="ttdeci">TOCropViewCroppingStyle croppingStyle</div><div class="ttdef"><b>Definition:</b> TOCropViewController.h:141</div></div>
<div class="ttc" id="ainterface_t_o_crop_view_controller_html_a98347c8278ebcfab4b612324c6fe38ff"><div class="ttname"><a href="interface_t_o_crop_view_controller.html#a98347c8278ebcfab4b612324c6fe38ff">-[TOCropViewController resetCropViewLayout]</a></div><div class="ttdeci">void resetCropViewLayout()</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
